Skip to main content
`Ctrl`+`K`

# PetscBagRegisterInt

add a `PetscInt` value to a `PetscBag`

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterInt(PetscBag bag, void *addr, PetscInt mdefault, const char *name, const char *help)

Logically Collective

## Input Parameters

- bag - the bag of values

- addr - location of integer in struct, for example `&params->i`

- mdefault - the initial value

- name - name of the integer

- help - longer string with more information about the value

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()` `PetscBagRegisterInt64()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()` `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

## Examples

src/snes/tutorials/ex69.c
src/sys/tutorials/ex5.c
src/dm/tutorials/ex7.c
src/sys/tutorials/ex5f90.F90

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages